OpenNebula - Bug #5290
Filenames added from files datastore are not escaped
07/27/2017 02:05 PM - Javi Fontan

Status: Closed Start date: 07/27/2017
Priority: Normal Due date:

Assignee: Abel Coronado % Done: 100%
Category: Sunstone Estimated time: 0.00 hour
Target version: Release 5.4.1

Resolution: fixed Pull request:

Affected Versions: Development

Description

Some file names can cause errors when not escaped.

$FILE[IMAGE=the-file.name_can.cause-errors, IMAGE_UNAME=oneadmin]

Associated revisions

Revision 09851195 - 07/27/2017 02:40 PM - Abel Coronado

B #5290 Solved bug filenames datastore in VM Template (#421)

Revision c¢392faa6 - 07/28/2017 10:04 AM - Abel Coronado

B #5290 Solved bug filenames datastore in VM Template (#421)

(cherry picked from commit 09851f95fb9881133f133795c8fab79bd319a5b2)

History

#1 - 07/27/2017 02:06 PM - Javi Fontan
Adding quotes should work.

#2 - 07/27/2017 02:37 PM - Javi Fontan

- Affected Versions OpenNebula 5.4 added
#3 - 07/27/2017 02:41 PM - Abel Coronado
- % Done changed from 0 to 100

- Affected Versions Development added

#4 - 09/05/2017 12:59 PM - Tino Vazquez

- Status changed from Pending to Closed

- Resolution set to fixed

#5 - 10/12/2017 08:59 AM - Sergio Milanese

Hello, if IMAGE_UNAME is Lastname.Firstname cause same errors.
Fix adding quotes on IMAGE_UNAME:

$SFILE[IMAGE=\"the-file.name\", IMAGE_UNAME-=\"Lastname.Firstname\"]
